Subject: returns corrupt value from shmctl();

From: Takeshi Aihana <[email-masked]>
Date: 30 May 2002 20:00:31 +0900

Hello all,

I have a problem now about return the segment size of shared memory from
shmctl() func.

First of step was to start apache_1.3.24 on kernel-2.4.17/pb1000.
However it could not be started because it might be currput segment size
from shmctl() called in apache.
So that I tried to test with shmctl() on (A)kernel-2.4.17/pb1000 and
(B)kernel-2.4.9/x86 as the follows. 
(B) was just returned correct segment size, but (A)'s segment size was 0
(of cause memory on pb1000 was left).

This code is
-----------------------------------8<---------------------------------------
-----------------------------------8<---------------------------------------
 HOST: kernel-2.4.9/RH-7.2 on x86.